Subject: Support for other SAPs

From: [email-masked] (Scott Barvick)
Date: Mon, 1 Aug 1994 15:49:39 -0400 (EDT)

Frank,

I'm not sure if I am on the capabilities mailing list so forgive
me if I've missed something.   I noticed that the SAP list
control vector doesn't support all SAPs.  Certainly these are
the main SAPs, but we cannot limit DLSw to any predefined
set of SAPs when DLSw doesn't really care about SAP values, 
as long as all LLC components are aware.  Specifically, we need
to make sure that artificial limits are not placed on existing
devices which use a different SAP for each PU.  These quickly pass
0x0C and would not be supported with this CV.

Also, is DLSw going to support LNM? 

Scott
[email-masked]

>         +---------------------------------------------------------------+
>         |   SAP List Support (X'86') Control Vector                     |
>         |                                                               |
>         |       The SAP List Support control vector identifies support  |
>         |       for SAPs by the sending Data Link Switch. Each bit in   |
>         |       the SAP control vector data field represents a SAP as   |
>         |       defined below. This vector is required.                 |
>         |                                                               |
>         |       NetBios support is determined by the "OR" of the        |
>         |       NetBios Support control vector and the NetBios SAP bit  |
>         |       in the SAP List Support control vector. If either       |
>         |       indicates that NetBios is supported, the sending Data   |
>         |       Link Switch supports NetBios.                           |
>         |                                                               |
>         +---------------------------------------------------------------+
>
>         Offset  Length  Value       Contents
>         ------  ------  -----       --------
>            0       1    X'03'       Length of the SAP List Support structured
>                                     subfield
>            1       1    X'86'       key = X'86' that identifies this as the
> SAP
>                                     List Support structured subfield
>            2       4                Supported SAP vector -  bitwise "OR" of
>                                     SAP masks for each supported SAP.
>                                     <mask>                <supp sap>
>                                     X'0001' - NULL SAP       X'00'
>                                     X'0002' - SNA  SAP       X'04'
>                                     X'0004' - SNA  Group SAP X'05'
>                                     X'0008' - SNA  SAP       X'08'
>                                     X'0010' - SNA  SAP       X'0C'
>                                     X'0020' - Span Tree SAP  X'42'
>                                     X'0040' - NetBios SAP    X'F0'
>                                     X'0080' - LNM SAP        X'F4'
>                                     X'0100' - LNM Group SAP  X'F5'
>                                     X'0200' - RPL SAP        X'F8'
>                                     X'0400' - Global SAP     X'FF'
>                                     X'0800' - X'8000' Reserved